proc ddhextpathscale_makeframe {} {

   toplevel .ddhextpathscale
   wm title .ddhextpathscale "Extrude path w/scaling"
   wm transient .ddhextpathscale [winfo toplevel [winfo parent .ddhextpathscale]]

   set width 6
   set ypad 3

   ###########################################################################
   # Beveling

   set frmmn [frame .ddhextpathscale.frmmain]
   pack $frmmn -side top -fill x

   label $frmmn.lbl -text "Amount to scale along path"
   pack $frmmn.lbl -side left -fill x
   spinbox $frmmn.scl -from 1 -increment 1 -to 1000 -textvariable eps_amt -width 4
#   scale $frmmn.scl -length 5c -from 1 -to 1000.0  \
#        -orient horizontal -resolution 1 -variable eps_amt -showvalue 1
   pack $frmmn.scl -side right -fill x

   ###########################################################################
   # Go
   frame .ddhextpathscale.frmbtn
   pack .ddhextpathscale.frmbtn -side top -fill x

   button .ddhextpathscale.frmbtn.btnapply -text "Extrude with scaling" -command {
      eval ac3d eap_extrude_along_path_scale $eps_amt
   }
   pack .ddhextpathscale.frmbtn.btnapply -side top -fill x -expand 1

}

proc ddhextpathscale_dialog {} {

   global eps_amt
   global ac_platform

   if ![winfo exists .ddhextpathscale] {
      set eps_amt 100
      ddhextpathscale_makeframe
   }

   wm deiconify .ddhextpathscale
   centre_window_on_screen .ddhextpathscale
   if { $ac_platform == "Mac" } {
	   update idletasks
	   exposeUI .ddhextpathscale
   }

}

